FreeMat

- Main Page
- Related Pages

vtkGraphToPoints

Section: Visualization Toolkit Graphics Classes

# Usage

Converts a vtkGraph to a vtkPolyData containing a set of points. This assumes that the points of the graph have already been filled (perhaps by vtkGraphLayout). The vertex data is passed along to the point data.

To create an instance of class vtkGraphToPoints, simply invoke its constructor as follows

      obj = vtkGraphToPoints

# Methods

The class vtkGraphToPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGraphToPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGraphToPoints = obj.NewInstance ()`
- `vtkGraphToPoints = obj.SafeDownCast (vtkObject o)`